org.springframework.web.reactive.function.client

## Class WebClientRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.reactive.function.client.WebClientException
          - - org.springframework.web.reactive.function.client.WebClientRequestException

- All Implemented Interfaces:
    Serializable

      public class WebClientRequestException
      extends WebClientException

  Exceptions that contain actual HTTP request data.
  Since:
    5.3
  Author:
    Arjen Poutsma
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebClientRequestException(Throwable ex, HttpMethod method, URI uri, HttpHeaders headers)` Constructor for throwable.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpHeaders` | `getHeaders()` Return the HTTP request headers.
    `HttpMethod` | `getMethod()` Return the HTTP request method.
    `URI` | `getUri()` Return the request URI.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebClientRequestException

          public WebClientRequestException(Throwable ex,
                                           HttpMethod method,
                                           URI uri,
                                           HttpHeaders headers)

      Constructor for throwable.

  - ### Method Detail

    - #### getMethod

          public HttpMethod getMethod()

      Return the HTTP request method.

    - #### getUri

          public URI getUri()

      Return the request URI.

    - #### getHeaders

          public HttpHeaders getHeaders()

      Return the HTTP request headers.